xine-lib: aos_t Struct Reference

xine-lib 1.2.12

Data Fields
aos_t Struct Reference

## Data Fields
xine_audio_port_t | ao
struct {
pthread_mutex_t mutex
pthread_mutex_t intr_mutex
pthread_cond_t intr_wake
ao_driver_t * d
uint32_t open
int intr_num
int dreqs_all
int dreqs_wait
uint32_t speed
int trick
} | driver
uint32_t | audio_loop_running:1
uint32_t | grab_only:1
uint32_t | do_resample:1
uint32_t | do_compress:1
uint32_t | do_amp:1
uint32_t | amp_mute:1
uint32_t | do_equ:1
uint32_t | av_fine_sync
metronom_clock_t * | clock
xine_private_t * | xine
int | num_null_streams
int | num_anon_streams
int | num_streams
int | streams_size
xine_stream_private_t ** | streams
xine_stream_private_t * | streams_default [32]
pthread_mutex_t | streams_lock
pthread_t | audio_thread
uint32_t | audio_step
uint32_t | in_channels
uint32_t | out_pts_per_kframe
uint32_t | out_frames_per_kpts
uint32_t | out_channels
int | av_sync_method_conf
resample_sync_t | resample_sync_info
double | resample_sync_factor
int | resample_sync_method
int | gap_tolerance
int | small_gap
int | fine_gap
ao_format_t | input
ao_format_t | output
double | frame_rate_factor
double | output_frame_excess
int | resample_conf
uint32_t | force_rate
struct {
pthread_mutex_t mutex
pthread_cond_t not_empty
audio_buffer_t * first
audio_buffer_t ** add
int num_buffers
int num_buffers_max
int num_waiters
} | free_fifo
struct {
pthread_mutex_t mutex
pthread_cond_t not_empty
pthread_cond_t empty
audio_buffer_t * first
audio_buffer_t ** add
int num_buffers
int num_waiters
uint32_t pts_fill
uint32_t pts_last_buf
uint32_t pts_in_driver
int seek_count1
struct timespec wake_time
int use_wake_time
int wake_now
int discard_buffers
xine_stream_private_t * buf_streams [32]
} | out_fifo
struct {
uint32_t speed
int trick
int64_t last_flush_vpts
int seek_count2
int seek_count3
int seek_count_n
int ei_write
int ei_read
int gr_pos
int gr_sum
int gr_gaps [(1<< 3)]
} | rp
int64_t | last_audio_vpts
int16_t | last_sample [RESAMPLE_MAX_CHANNELS]
audio_buffer_t * | frame_buf [2]
int16_t * | zero_space
int | passthrough_offset
int | ptoffs
int | dropped
int | step
pthread_mutex_t | step_mutex
pthread_cond_t | done_stepping
double | compression_factor
double | compression_factor_max
double | amp_factor
int | amp_level
int | eq_settings [10]
int | eq_gain [10]
int | eq_data_history [8][10][4]
int | last_gap
int | last_sgap
struct {
int driver_caps
int64_t vpts
uint32_t speed
uint32_t rate
uint32_t bits
int mode
int frame_size
int write
int wrap
int max
uint8_t * buf
} | resend
uint8_t * | base_samp
audio_buffer_t | base_buf [32+2]
extra_info_t | base_ei [128+32+2]

## Field Documentation

## ◆ add

audio_buffer_t** aos_t::add

## ◆ amp_factor

double aos_t::amp_factor

## ◆ amp_level

int aos_t::amp_level

## ◆ amp_mute

uint32_t aos_t::amp_mute

## ◆ ao

xine_audio_port_t aos_t::ao

## ◆ audio_loop_running

uint32_t aos_t::audio_loop_running

## ◆ audio_step

uint32_t aos_t::audio_step

## ◆ audio_thread

pthread_t aos_t::audio_thread

## ◆ av_fine_sync

uint32_t aos_t::av_fine_sync

## ◆ av_sync_method_conf

int aos_t::av_sync_method_conf

## ◆ base_buf

audio_buffer_t aos_t::base_buf[32+2]

## ◆ base_ei

extra_info_t aos_t::base_ei[128+ 32+2]

## ◆ base_samp

uint8_t* aos_t::base_samp

## ◆ bits

uint32_t aos_t::bits

## ◆ buf

uint8_t* aos_t::buf

## ◆ buf_streams

xine_stream_private_t* aos_t::buf_streams[32]

## ◆ clock

metronom_clock_t* aos_t::clock

## ◆ compression_factor

double aos_t::compression_factor

## ◆ compression_factor_max

double aos_t::compression_factor_max

## ◆ d

ao_driver_t* aos_t::d

## ◆ discard_buffers

int aos_t::discard_buffers

## ◆ do_amp

uint32_t aos_t::do_amp

## ◆ do_compress

uint32_t aos_t::do_compress

## ◆ do_equ

uint32_t aos_t::do_equ

## ◆ do_resample

uint32_t aos_t::do_resample

## ◆ done_stepping

pthread_cond_t aos_t::done_stepping

## ◆ dreqs_all

int aos_t::dreqs_all

## ◆ dreqs_wait

int aos_t::dreqs_wait

## ◆

struct { ... } aos_t::driver

## ◆ driver_caps

int aos_t::driver_caps

## ◆ dropped

int aos_t::dropped

## ◆ ei_read

int aos_t::ei_read

## ◆ ei_write

int aos_t::ei_write

## ◆ empty

pthread_cond_t aos_t::empty

## ◆ eq_data_history

int aos_t::eq_data_history[8][10][4]

## ◆ eq_gain

int aos_t::eq_gain[10]

## ◆ eq_settings

int aos_t::eq_settings[10]

## ◆ fine_gap

int aos_t::fine_gap

## ◆ first

audio_buffer_t* aos_t::first

## ◆ force_rate

uint32_t aos_t::force_rate

## ◆ frame_buf

audio_buffer_t* aos_t::frame_buf[2]

## ◆ frame_rate_factor

double aos_t::frame_rate_factor

## ◆ frame_size

int aos_t::frame_size

## ◆

struct { ... } aos_t::free_fifo

## ◆ gap_tolerance

int aos_t::gap_tolerance

## ◆ gr_gaps

int aos_t::gr_gaps[(1<< 3)]

## ◆ gr_pos

int aos_t::gr_pos

## ◆ gr_sum

int aos_t::gr_sum

## ◆ grab_only

uint32_t aos_t::grab_only

## ◆ in_channels

uint32_t aos_t::in_channels

## ◆ input

ao_format_t aos_t::input

## ◆ intr_mutex

pthread_mutex_t aos_t::intr_mutex

## ◆ intr_num

int aos_t::intr_num

## ◆ intr_wake

pthread_cond_t aos_t::intr_wake

## ◆ last_audio_vpts

int64_t aos_t::last_audio_vpts

## ◆ last_flush_vpts

int64_t aos_t::last_flush_vpts

## ◆ last_gap

int aos_t::last_gap

## ◆ last_sample

int16_t aos_t::last_sample[RESAMPLE_MAX_CHANNELS]

## ◆ last_sgap

int aos_t::last_sgap

## ◆ max

int aos_t::max

## ◆ mode

int aos_t::mode

## ◆ mutex

pthread_mutex_t aos_t::mutex

## ◆ not_empty

pthread_cond_t aos_t::not_empty

## ◆ num_anon_streams

int aos_t::num_anon_streams

## ◆ num_buffers

int aos_t::num_buffers

## ◆ num_buffers_max

int aos_t::num_buffers_max

## ◆ num_null_streams

int aos_t::num_null_streams

## ◆ num_streams

int aos_t::num_streams

## ◆ num_waiters

int aos_t::num_waiters

## ◆ open

uint32_t aos_t::open

## ◆ out_channels

uint32_t aos_t::out_channels

## ◆

struct { ... } aos_t::out_fifo

## ◆ out_frames_per_kpts

uint32_t aos_t::out_frames_per_kpts

## ◆ out_pts_per_kframe

uint32_t aos_t::out_pts_per_kframe

## ◆ output

ao_format_t aos_t::output

## ◆ output_frame_excess

double aos_t::output_frame_excess

## ◆ passthrough_offset

int aos_t::passthrough_offset

## ◆ ptoffs

int aos_t::ptoffs

## ◆ pts_fill

uint32_t aos_t::pts_fill

## ◆ pts_in_driver

uint32_t aos_t::pts_in_driver

## ◆ pts_last_buf

uint32_t aos_t::pts_last_buf

## ◆ rate

uint32_t aos_t::rate

## ◆ resample_conf

int aos_t::resample_conf

## ◆ resample_sync_factor

double aos_t::resample_sync_factor

## ◆ resample_sync_info

resample_sync_t aos_t::resample_sync_info

## ◆ resample_sync_method

int aos_t::resample_sync_method

## ◆

struct { ... } aos_t::resend

## ◆

struct { ... } aos_t::rp

## ◆ seek_count1

int aos_t::seek_count1

## ◆ seek_count2

int aos_t::seek_count2

## ◆ seek_count3

int aos_t::seek_count3

## ◆ seek_count_n

int aos_t::seek_count_n

## ◆ small_gap

int aos_t::small_gap

## ◆ speed

uint32_t aos_t::speed

## ◆ step

int aos_t::step

## ◆ step_mutex

pthread_mutex_t aos_t::step_mutex

## ◆ streams

xine_stream_private_t** aos_t::streams

## ◆ streams_default

xine_stream_private_t * aos_t::streams_default[32]

## ◆ streams_lock

pthread_mutex_t aos_t::streams_lock

## ◆ streams_size

int aos_t::streams_size

## ◆ trick

int aos_t::trick

Referenced by ao_update_slow_fast().

## ◆ use_wake_time

int aos_t::use_wake_time

## ◆ vpts

int64_t aos_t::vpts

## ◆ wake_now

int aos_t::wake_now

## ◆ wake_time

struct timespec aos_t::wake_time

## ◆ wrap

int aos_t::wrap

## ◆ write

int aos_t::write

## ◆ xine

xine_private_t* aos_t::xine

## ◆ zero_space

int16_t* aos_t::zero_space

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-engine/audio_out.c